curl -H "X-API-Key: $PARTICLE_API_KEY" \
"https://api.particle.pro/v1/companies?limit=25"{
"data": [
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"identifiers": {
"cik": "<string>",
"domain": "<string>",
"entity": {
"id": "<string>",
"name": "<string>",
"slug": "<string>",
"company": {
"id": "<string>",
"domain": "<string>",
"ticker": "<string>"
},
"description": "<string>",
"image_url": "<string>",
"person": {
"id": "<string>",
"company": "<string>",
"image_url": "<string>",
"title": "<string>"
},
"type": {
"name": "<string>",
"slug": "<string>"
},
"wikipedia_url": "<string>"
},
"qid": "<string>",
"ticker": "<string>"
},
"image_mode": "AUTOMATIC",
"image_url": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"has_more": true,
"cursor": "<string>"
}{
"detail": "Property foo is required but is missing.",
"error_code": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"resolve": {
"message": "<string>",
"action": "<string>",
"endpoint": "<string>",
"method": "<string>",
"url": "<string>"
},
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}List companies
Returns a paginated list of companies. Filter by entity slug (e.g., ‘apple’), ticker, domain, CIK, or QID. Search by name or fetch updates since a timestamp.
curl -H "X-API-Key: $PARTICLE_API_KEY" \
"https://api.particle.pro/v1/companies?limit=25"{
"data": [
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"identifiers": {
"cik": "<string>",
"domain": "<string>",
"entity": {
"id": "<string>",
"name": "<string>",
"slug": "<string>",
"company": {
"id": "<string>",
"domain": "<string>",
"ticker": "<string>"
},
"description": "<string>",
"image_url": "<string>",
"person": {
"id": "<string>",
"company": "<string>",
"image_url": "<string>",
"title": "<string>"
},
"type": {
"name": "<string>",
"slug": "<string>"
},
"wikipedia_url": "<string>"
},
"qid": "<string>",
"ticker": "<string>"
},
"image_mode": "AUTOMATIC",
"image_url": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"has_more": true,
"cursor": "<string>"
}{
"detail": "Property foo is required but is missing.",
"error_code": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"resolve": {
"message": "<string>",
"action": "<string>",
"endpoint": "<string>",
"method": "<string>",
"url": "<string>"
},
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}Authorizations
Pass your API key in the X-API-Key header (recommended).
Query Parameters
Results per page
1 <= x <= 100Opaque pagination cursor from previous response
Search by name (case-insensitive partial match)
200"Apple"
Only items updated after this ISO 8601 date or date-time (e.g. 2024-01-01 or 2024-01-01T00:00:00Z). Useful for incremental syncing.
"2024-01-01T00:00:00Z"
Bulk multi-get: one or more company slugs (e.g. 'apple'), domains (e.g. 'apple.com'), or IDs, comma-separated (max 100) — the same identifiers GET /v1/companies/{id} accepts. When set, returns exactly those companies and the other filters/search and pagination are ignored. Refs that don't resolve are omitted from the response.
100["apple", "tesla.com", "nvidia"]
Filter by stock ticker symbol(s), comma-separated
100["AAPL", "GOOG"]
Filter by company domain(s), comma-separated
100["apple.com"]
Filter by SEC CIK(s), comma-separated
100["0000320193"]
Filter by Wikidata QID(s), comma-separated
100["Q312"]
Entity slug(s) (e.g., 'apple', 'nvidia') or ID(s), comma-separated
100Was this page helpful?